Page MenuHomePhabricator

Improve language selection when creating a translation
Closed, ResolvedPublic

Description

Context

Use (and improve) the ULS language list to facilitate language selection on the "new translation" dialog.

Timebox

  • Monday 15 December 2014
  • Tuesday, 10 March 2015

Narrative

As a user, I can easily select my languages of interest so that I have a clear idea as to whether my usual languages are supported and can select them quickly.

Acceptance Criteria

  1. Use a Compact language list as in ULS.
  2. Adjust the list layout to accommodate both long and short lists of languages.
    1. For a reduced number of languages, the number of columns will be reduced.
  3. Allow setting the language selection to a neutral state. Clicking on an “X” icon will undo the selection.
  4. Use decorative styling to distinguish between unavailable languages (not shown), discouraged languages (shown lighter, opacity: 0.5) and regular languages (shown in full opacity) depending on the context (more detail in the design notes).

Design Notes


Deliverables

Event Timeline

Arrbee created this task.Nov 28 2014, 8:17 AM
Arrbee assigned this task to Amire80.
Arrbee raised the priority of this task from to Normal.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:06 AM
Arrbee raised the priority of this task from Normal to High.Nov 28 2014, 9:11 AM
Arrbee moved this task from Sprint Backlog to In Progress on the Language-Team board.
Arrbee lowered the priority of this task from High to Normal.Nov 28 2014, 9:15 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-79 board.Nov 28 2014, 12:23 PM

Change 174094 had a related patch set uploaded (by Nikerabbit):
ULS for source and target selectors

https://gerrit.wikimedia.org/r/174094

Patch-For-Review

Change 174094 merged by jenkins-bot:
ULS for source and target selectors

https://gerrit.wikimedia.org/r/174094

Arrbee moved this task from In Progress to In Review on the LE-Sprint-79 board.Dec 3 2014, 7:16 AM

Pull request for customizing the ULS dialog width was merged https://github.com/wikimedia/jquery.uls/pull/168

Arrbee updated the task description. (Show Details)Dec 9 2014, 3:03 PM
Arrbee updated the task description. (Show Details)

Change 177536 had a related patch set uploaded (by Santhosh):
ULS width according to the number of languages

https://gerrit.wikimedia.org/r/177536

Patch-For-Review

Arrbee moved this task from Backlog to In Review on the LE-Sprint-80 board.Dec 10 2014, 12:38 PM
Arrbee removed a project: LE-Sprint-79.

I also noticed that the "Common languages" section was not appearing on labs instance where many languages are available. I expect that section to appear (as it does in ULS) when there are more than 10 languages to facilitate the selection of usual languages for users.
This is already part of the designs, but making it explicit here just in case it helps.

Also related to language selection, we have this comment from the talk page:

when you click "start new translation" it appears two languages selected by deffault (in my case, spanish to catalan)
if you don't click the languages again to "re-select them" I can't start translating.
Hope it clarifies it all. Would be great that, if one language appears as pre-selected, it actually is :-)

I also found a regression: the quick switch of source and target languages is now broken, and this make it possible to select the same language for source and target which should not be possible.

The expected behaviour is: Given that I have selected "Spanish (source) to Catalan (target)", just by changing the target to Spanish, the resulting selection should be "Catalan (source) to Spanish (target)". The same should happen if the source is changed from Spanish to Catalan.

This was described (and implemented) in the original language selection card, so feel free to refer to it for more details.

@pginer These regressions are fixed in the following patch which has not been merged yet. I took care of all language selection issues, I believe.

https://gerrit.wikimedia.org/r/#/c/179191/

The commit is associated with the following task:

https://phabricator.wikimedia.org/T76832

Change 177536 merged by jenkins-bot:
ULS width according to the number of languages

https://gerrit.wikimedia.org/r/177536

Arrbee closed this task as Resolved.Dec 22 2014, 2:21 PM
Arrbee moved this task from In Review to Done on the LE-Sprint-80 board.
Arrbee edited a custom field.Feb 25 2015, 5:45 AM

The most important missing piece is showing the "Common languages" section.
We need to make sure that previous selected languages appear there. That is: Once I select a language which was not in that section, the next time I open the selector, I see the language in the "Common languages" section.

Arrbee moved this task from Backlog to Candidates on the LE-Sprint-83 board.Feb 25 2015, 3:28 PM
Arrbee moved this task from Candidates to Backlog on the LE-Sprint-83 board.Feb 25 2015, 3:39 PM
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 9:39 PM
RandomDSdevel awarded a token.
Amire80 moved this task from Backlog to In Progress on the LE-Sprint-83 board.Mar 5 2015, 10:42 PM

Change 194851 had a related patch set uploaded (by Santhosh):
Source selector: Show common languages in the language selector

https://gerrit.wikimedia.org/r/194851

Amire80 closed this task as Resolved.Mar 6 2015, 2:02 PM
Amire80 reassigned this task from Amire80 to santhosh.

Change 194851 merged by jenkins-bot:
Source selector: Show common languages in the language selector

https://gerrit.wikimedia.org/r/194851

Amire80 reopened this task as Open.Mar 6 2015, 2:06 PM
Amire80 claimed this task.

Change 195443 had a related patch set uploaded (by Amire80):
Save the selected language to ULS's previous languages

https://gerrit.wikimedia.org/r/195443

Amire80 moved this task from In Progress to In Review on the LE-Sprint-83 board.Mar 9 2015, 9:50 PM
Arrbee updated the task description. (Show Details)Mar 10 2015, 9:08 AM

Change 195443 merged by jenkins-bot:
Save the selected language to ULS's previous languages

https://gerrit.wikimedia.org/r/195443

(This latest patch shows the Common languages only when there are more than 12 languages to show.)

Change 202710 had a related patch set uploaded (by Amire80):
Update from upstream

https://gerrit.wikimedia.org/r/202710

Change 202710 merged by jenkins-bot:
Update jquery.uls from upstream

https://gerrit.wikimedia.org/r/202710

Amire80 closed this task as Resolved.Apr 8 2015, 2:07 PM
Amire80 removed a project: Patch-For-Review.
Amire80 edited a custom field.
Amire80 moved this task from In Progress to Needs More Information on the Language-Team board.